//---------------------------------------------------------------------------
#ifndef ethernetH
#define ethernetH

#include "typedefs.h"
#include "errmsgs.h"

bool Eth_Init(void);
bool Eth_Open(void);
bool Eth_Close(void);
void Eth_SetTimeouts(dword rx_tout, dword tx_tout);
bool Eth_IsDevOpen(void);
bool Eth_ReceiveChar(unsigned char *c);
bool Eth_Transmit(byte *data, dword length);
bool Eth_TransmitWTimeout(byte *data, dword length, word timeout);
char *Eth_getPassword(void);
bool Eth_setPassword(char *pw);
void Eth_End(void);

#define PW_LEN 16


#endif

